Skip to main content
GET
/
rest
/
prescriptions
/
{id}
Get prescription details
curl --request GET \
  --url https://mcp.arlohealth.ai/rest/prescriptions/{id} \
  --header 'Authorization: Bearer <token>'
{
  "prescriptionOrderId": "<string>",
  "status": "UNKNOWN",
  "timestamp": "2023-11-07T05:31:56Z",
  "prescriptions": [
    {
      "prescriptionId": "<string>",
      "drug": {
        "name": "<string>",
        "din": "<string>",
        "strength": "<string>",
        "form": "<string>"
      },
      "quantity": 123,
      "instructions": "<string>",
      "hasRefill": true,
      "refillQuantity": 123
    }
  ],
  "targetPharmacy": {
    "accreditationNumber": "<string>",
    "companyName": "<string>",
    "address": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "zip": "<string>",
    "phone": "<string>",
    "fax": "<string>",
    "latitude": 123,
    "longitude": 123,
    "distanceKm": 123
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.1 with PKCE

Path Parameters

id
string
required

Prescription order ID

Response

Prescription details

prescriptionOrderId
string
status
enum<string>
Available options:
UNKNOWN,
UNSIGNED,
SIGNED,
SENT,
FAILED,
SUCCEEDED,
CANCELED
timestamp
string<date-time>
prescriptions
object[]
targetPharmacy
object